<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [iceshrimp-sdk](./iceshrimp-sdk.md) &gt; [entities](./iceshrimp-sdk.entities.md) &gt; [NoteFavorite](./iceshrimp-sdk.entities.notefavorite.md)

## entities.NoteFavorite type

**Signature:**

```typescript
export type NoteFavorite = {
    id: ID;
    createdAt: DateString;
    noteId: Note["id"];
    note: Note;
};
```
**References:** [ID](./iceshrimp-sdk.entities.id.md)<!-- -->, [DateString](./iceshrimp-sdk.entities.datestring.md)<!-- -->, [Note](./iceshrimp-sdk.entities.note.md)

